﻿using Agents.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Agents.Pages
{
    /// <summary>
    /// Логика взаимодействия для PageAgents.xaml
    /// </summary>
    public partial class PageAgents : Page
    {
        List<Agent> agents = BaseConnect.baseConnect.Agent.ToList();
        List<AgentType> agentType = BaseConnect.baseConnect.AgentType.ToList();

        public PageAgents()
        {
            InitializeComponent();
            AgentsList.ItemsSource = agents;
            Filtr.ItemsSource = agentType;
            Filtr.DisplayMemberPath = "Title";
            Filtr.SelectedValue = "ID";
        }

        private void ComboBox_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        {
            ComboBox comboBox = sender as ComboBox;
            int agentType = (int)comboBox.SelectedIndex+1;
            if (agentType != 1)
            {
                List<Agent> agents1 = agents.Where(x => x.AgentTypeID == agentType).ToList();
                AgentsList.ItemsSource = agents1;
            }
            else
            {
                AgentsList.ItemsSource = agents;
            }
        }

        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ComboBox comboBox = sender as ComboBox;
            switch (comboBox.SelectedIndex)
            {
                case 0:
                    agents = agents.OrderBy(x => x.Title).ToList();
                    break;
                case 1:
                    agents = agents.OrderBy(x => x.Title).ToList();
                    agents.Reverse();
                    break;
                case 2:
                    agents = agents.OrderBy(x => x.Title).ToList();
                    break;
                case 3:
                    agents = agents.OrderBy(x => x.Title).ToList();
                    agents.Reverse();
                    break;
                case 4:
                    agents = agents.OrderBy(x => x.Priority).ToList();
                    break;
                case 5:
                    agents = agents.OrderBy(x => x.Priority).ToList();
                    agents.Reverse();
                    break;       
            }
            AgentsList.ItemsSource = agents;
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (Search.Text != "")
            {
                List<Agent> agents1 = agents.Where(x => x.Title.Contains(Search.Text)).ToList();
                AgentsList.ItemsSource = agents1;
            }
            {
                AgentsList.ItemsSource = agents;
            }
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            Add add = new Add();
            add.ShowDialog();
        }

        private void btnUpdate_Click(object sender, RoutedEventArgs e)
        {
            Update update = new Update();
            update.ShowDialog();
        }
    }
}
